SURF(1)

NAME
surf - simple webkit-based browser

SYNOPSIS
surf [-ipnsvx] [-c cookiefile] [-e xid] [-r scriptfile] [-t stylefile] [-u useragent] URI

DESCRIPTION
surf is a simple Web browser based on WebKit/GTK+. It is able to display websites and follow links. It supports the XEmbed protocol which makes it possible to embed it in another application. Furthermore, one can point surf to another URI by setting its XProperties.

OPTIONS

-c cookiefile
    Specify the cookiefile to use.

-e xid
    Reparents to window specified by xid.

-i  Disable Images

-n  Disable the Web Inspector (Developer Tools).

-p  Disable Plugins

-r scriptfile
    Specify the user scriptfile.

-s  Disable Javascript

-t stylefile
    Specify the user stylefile.

-u useragent
    Specify the useragent which surf should use.

-v  Prints version information to standard output, then exits.

-x  Prints xid to standard output. This can be used to script the browser by using xprop(1). -f Start in fullscreen mode.

USAGE
Escape Stops loading current page or stops download.

Ctrl-h
    Walks back the history.

Ctrl-l
    Walks forward the history.

Ctrl-k
    Scrolls page upwards.

Ctrl-j
    Scrolls page downwards.

Ctrl-b
    Scroll up one whole page view.

Ctrl-Space
    Scroll down one whole page view.

Ctrl-i
    Scroll horizontally to the right.

Ctrl-u
    Scroll horizontally to the left.

Ctrl-Shift-k or Ctrl-+
    Zooms page in.

Ctrl-Shift-j or Ctrl--
    Zooms page out

Ctrl-Shift-q
    Resets Zoom

Ctrl-h
    Navigate back one step in history.

Ctrl-l
    Navigate forward one step in history.

Ctrl-f and Ctrl-\
    Opens the search-bar.

Ctrl-n
    Go to next search result.

Ctrl-Shift-n
    Go to previous search result.

Ctrl-g
    Opens the URL-bar.

Ctrl-p
    Loads URI from primary selection.

Esc Stop loading the page.

Ctrl-Shift-p
    Calls Printpage Dialog.

Ctrl-r
    Reloads the website.

Ctrl-Shift-r
    Reloads the website without using cache.

Ctrl-y
    Copies current URI to primary selection.

Ctrl-o
    Show the sourcecode of the current page.

Ctrl-Shift-o
    Open the Web Inspector (Developer Tools) window for the current page.

Ctrl-Shift-c
    Toggle caret browsing.

Ctrl-Shift-i
    Toggle auto-loading of images.

Ctrl-Shift-s
    Toggle script execution.

Ctrl-Shift-v
    Toggle the enabling of plugins on that surf instance.

F11 Toggle fullscreen mode.

ENVIRONMENT
SURF_USERAGENT If this variable is set upon startup, surf will use it as the useragent string

http_proxy
    If this variable is set and not empty upon startup, surf will use it as the http proxy

PLUGINS
For using plugins in surf, first determine your running architecture. Then get the appropriate plugin for that architecture and copy it to /usr/lib/browser-plugins or /usr/lib64/browser-plugins. Surf should load them automatically. If you want to use a 32bit plugin on a 64bit system, nspluginwrapper(1) will help you.

SEE ALSO
dmenu(1), xprop(1), tabbed(1), nspluginwrapper(1)

BUGS
Please report them!